OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PBRep

# PBRep_TVertex Class Reference

`#include <PBRep_TVertex.hxx>`

Inheritance diagram for PBRep_TVertex:

[legend]

## Public Member Functions
Standard_EXPORT | PBRep_TVertex ()
Standard_EXPORT Standard_Real | Tolerance () const
Standard_EXPORT void | Tolerance (const Standard_Real T)
Standard_EXPORT gp_Pnt | Pnt () const
Standard_EXPORT void | Pnt (const gp_Pnt &P)
Standard_EXPORT Handle_PBRep_PointRepresentation | Points () const
Standard_EXPORT void | Points (const Handle(PBRep_PointRepresentation)&P)
| PBRep_TVertex (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPBRep_TVertexmyTolerance () const
void | _CSFDB_SetPBRep_TVertexmyTolerance (const Standard_Real p)
const gp_Pnt & | _CSFDB_GetPBRep_TVertexmyPnt () const
| Handle (PBRep_PointRepresentation) _CSFDB_GetPBRep_TVertexmyPoints() const
void | _CSFDB_SetPBRep_TVertexmyPoints (const Handle(PBRep_PointRepresentation)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | myTolerance
gp_Pnt | myPnt
Handle_PBRep_PointRepresentation | myPoints

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_TVertex::PBRep_TVertex | ( |  | ) |

PBRep_TVertex::PBRep_TVertex | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Pnt& PBRep_TVertex::_CSFDB_GetPBRep_TVertexmyPnt | ( |  | ) | const`[inline]`

Standard_Real PBRep_TVertex::_CSFDB_GetPBRep_TVertexmyTolerance | ( |  | ) | const`[inline]`

void PBRep_TVertex::_CSFDB_SetPBRep_TVertexmyPoints | ( | const Handle(PBRep_PointRepresentation)& | p | ) | `[inline]`

void PBRep_TVertex::_CSFDB_SetPBRep_TVertexmyTolerance | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT const PBRep_TVertex::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PTopoDS_TVertex.

PBRep_TVertex::Handle | ( | PBRep_PointRepresentation |  | ) | const`[inline]`

Standard_EXPORT void PBRep_TVertex::Pnt | ( | const gp_Pnt & | P | ) |

Standard_EXPORT gp_Pnt PBRep_TVertex::Pnt | ( |  | ) | const

Standard_EXPORT void PBRep_TVertex::Points | ( | const Handle(PBRep_PointRepresentation)& | P | ) |

Standard_EXPORT Handle_PBRep_PointRepresentation PBRep_TVertex::Points | ( |  | ) | const

Standard_EXPORT void PBRep_TVertex::Tolerance | ( | const Standard_Real | T | ) |

Standard_EXPORT Standard_Real PBRep_TVertex::Tolerance | ( |  | ) | const

## Field Documentation

gp_Pnt PBRep_TVertex::myPnt`[private]`

Handle_PBRep_PointRepresentation PBRep_TVertex::myPoints`[private]`

Standard_Real PBRep_TVertex::myTolerance`[private]`

The documentation for this class was generated from the following file:

- PBRep_TVertex.hxx